$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.92.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.92.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B2D6B268A499050B178AD47C42632C770BC872A7CEDE0BD8A2A861B41EDACECF'
  checksumType = 'sha256'
  checksum64 = 'B2D6B268A499050B178AD47C42632C770BC872A7CEDE0BD8A2A861B41EDACECF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.92-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
